# Type Alias PluginWrapArg

type PluginWrapArg = {
alerts: {
msg: string | string[];
type: "error" | "danger" | "success" | "warning";
}[];
body: string
| Layout;
bodyClass: string;
brand: { name: string };
currentUrl: string;
headers: Header[];
menu: { items: MenuItem[]; section: string }[];
role?: number;
title: string;
}

- Defined in base_types.ts:128

##### Index

### Properties

alerts
body
bodyClass
brand
currentUrl
headers
menu
role?
title

## Properties

### alerts

alerts: {
msg: string | string[];
type: "error" | "danger" | "success" | "warning";
}[]

- Defined in base_types.ts:137

### body

body: string | Layout

- Defined in base_types.ts:130

### bodyClass

bodyClass: string

- Defined in base_types.ts:142

### brand

brand: { name: string }

- Defined in base_types.ts:132

### currentUrl

currentUrl: string

- Defined in base_types.ts:131

### headers

headers: Header[]

- Defined in base_types.ts:141

### menu

menu: { items: MenuItem[]; section: string }[]

- Defined in base_types.ts:133

### `Optional` role

role?: number

- Defined in base_types.ts:143

### title

title: string

- Defined in base_types.ts:129